lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ndfrt/version'

Gem::Specification.new do |gem|
  gem.name    = 'ndfrt'
  gem.version = NDFRT::VERSION

  gem.summary     = "A ruby wrapper to the NDF-RT RESTful API"
  gem.description = "A ruby-based way of interacting with the NDF-RT RESTful API (http://rxnav.nlm.nih.gov/NdfrtAPIREST.html)"
  gem.license     = 'MIT'

  gem.authors  = ['Jonathan Bender']
  gem.email    = 'jlbender@gmail.com'
  gem.homepage = 'http://github.com/jbender/ndfrt_ruby'

  gem.add_dependency('nori')
  gem.add_dependency('nokogiri')
  gem.add_dependency('rake')

  gem.add_development_dependency('rspec', [">= 2.0.0"])

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}) { |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ["lib"]
end
